Subject: Re: libiconv-1.7 on cygwin-1.3.2 problems
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 26 Jul 2001 17:57:27 +0200

Charles Wilson schrieb am 2001-07-27, 21:11:

[...]
: > Take a look at 
: > http://www.neuro.gatech.edu/users/cwilson/cygutils/robert-collins/
: > 
: > You'll see my collection of *EXPERIMENTAL* packages (binutils, automake, 
: > robert's hack-up libtool, etc.  These tools were used to build -- yep, 
: > you guessed it -- libiconv.  My version passes all tests; I didn't have 
: > to modify the libiconv source (.c), just the tools and the .in and .m4 
: > configuration files.
: > 
: > Anyway, you don't need to use my special tools to USE iconv, but you DO 
: > need the patched binutils to link to libiconv-2.dll.
: > 
: > You're free to use these ports, but I will provide NO support. Zero. "It 
: > works for me." (Also, note that the list will provide no support if you 
: > choose to replace your "official" versions of automake, binutils, etc 
: > with these *EXPERIMENTAL* versions.)

That seems to be a problem now.
Is there someone able to support this?

I got now problems building bleadperl. 
At first configure isn't able to find libiconv, because there is no libiconv.a:
[...]
No -lPW.
No -lx.
No -liconv.
No -lutil.
Found -lcygipc.
[...]

How to create a valid libiconv.a or against what should i link instead of
libiconv.a?

Second problem is during 'make' of bleadperl which works o.k 
before i installed the patched binutils && libtool && automake,
but i'm not sure if it belongs to binutils:

        Making File::Glob (dynamic)
Writing Makefile for File::Glob
make[1]: Entering directory `/src/buildperl/ext/File/Glob'
Makefile out-of-date with respect to ../../../lib/Config.pm ../../../config.h
Cleaning current config before rebuilding Makefile...
make -f Makefile.old clean > /dev/null 2>&1 || /bin/sh -c true
../../../miniperl -I../../../lib -I../../../lib Makefile.PL "INSTALLDIRS=perl" "PERL_CORE=1" "LIBPERL_A=libperl5_7_2"
Writing Makefile for File::Glob
==> Your Makefile has been rebuilt. <==
==> Please rerun the make command.  <==
false
make[1]: *** [Makefile] Error 1
make[1]: Leaving directory `/src/buildperl/ext/File/Glob'
make config failed, continuing anyway...
make[1]: Entering directory `/src/buildperl/ext/File/Glob'
Makefile out-of-date with respect to ../../../lib/Config.pm ../../../config.h
Cleaning current config before rebuilding Makefile...
make -f Makefile.old clean > /dev/null 2>&1 || /bin/sh -c true
../../../miniperl -I../../../lib -I../../../lib Makefile.PL "INSTALLDIRS=perl" "PERL_CORE=1" "LIBPERL_A=libperl5_7_2"
Writing Makefile for File::Glob
==> Your Makefile has been rebuilt. <==
==> Please rerun the make command.  <==
false
make[1]: *** [Makefile] Error 1
make[1]: Leaving directory `/src/buildperl/ext/File/Glob'
make: *** [lib/auto/File/Glob/Glob.dll] Error 2

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/